playMaker

Author Topic: Error with latest Ecosystem 0.68 and fresh Unity project  (Read 447 times)

Litow

  • Playmaker Newbie
  • *
  • Posts: 26
    • View Profile
Error with latest Ecosystem 0.68 and fresh Unity project
« on: May 11, 2020, 11:02:36 AM »
I can work around this, as I managed to find an older version of Ecosystem that works.

Havent been on Unity for a while. But. This bit me twice recently, so I will post it here, in case Im missing something obvious.

Started a fresh Unity project, using 2017.1.0f3 on MacOs Sierra 10.13.4.
Unity installed Playmaker 1.8.9 for me.

Then when I try to install the latest Ecosystem 0.68, after the installation I get two errors the same:

Assets/net.fabrejean/Editor/PlayMaker/Ecosystem/EcosystemBrowser.cs(96,31): error CS0234: The type or namespace name `Ecosystem' does not exist in the namespace `HutongGames.PlayMaker'. Are you missing an assembly reference?

When I restart Unity, Playmaker obviously stops working all together.

I tried searching online for help, but got mixed findings and nothing to clearly solve this one... yet.

Again. I can work around it by installing an older version of Ecosystem.

cheers
« Last Edit: May 11, 2020, 11:30:15 AM by Litow »

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 5157
    • View Profile
    • jinxtergames
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #1 on: May 11, 2020, 11:17:18 AM »
Hi.
1st thing you should try is updating Playmaker.

Litow

  • Playmaker Newbie
  • *
  • Posts: 26
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #2 on: May 11, 2020, 11:29:08 AM »
Sorry. Indeed. I made a mistake on posting the Playmaker version.
Unity did installed 1.8.9 which I think it is the latest official.

EDIT: I have corrected the first post above.

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15370
  • Official Playmaker Support
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #3 on: May 12, 2020, 10:42:08 PM »
Hi,

 if you try on a fresh project with just playmaker and the ecosystem do you get the same error? if you do can you zip the project and send it to me? thanks.

Bye,

 Jean

Litow

  • Playmaker Newbie
  • *
  • Posts: 26
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #4 on: May 13, 2020, 02:30:52 PM »
Thank you, Jean. Appreciated.
I will reply with a link directly to you.

Thank you, again.

Litow

  • Playmaker Newbie
  • *
  • Posts: 26
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #5 on: May 17, 2020, 05:55:19 PM »
Hello Jean.
No rush. But. Just checking you received my private message. I dont seem to have any history of it. But not sure if that's a feature of private messages.

cheers!

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15370
  • Official Playmaker Support
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #6 on: May 17, 2020, 11:40:51 PM »
Hi,

 thanks for the bump, I need to whole project zipped, not a package. thanks :)

Bye,

 Jean

Litow

  • Playmaker Newbie
  • *
  • Posts: 26
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #7 on: May 18, 2020, 11:17:00 AM »
Ah! Done!!

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15370
  • Official Playmaker Support
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #8 on: May 21, 2020, 11:00:05 PM »
Hi,

 Where did you sent me the link? I can't find it.

Bye,

 Jean

Litow

  • Playmaker Newbie
  • *
  • Posts: 26
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #9 on: May 22, 2020, 02:48:29 PM »
Ah.. I sent you a private message with the link a few days back.
Same location as the first upload.. in case you still have the original message around.
But Ill send it again. Sorry for the back and forth!!

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15370
  • Official Playmaker Support
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #10 on: June 01, 2020, 12:51:32 AM »
Hi,

 this is odd, I can't open your project, I have the same unity version, but it crashes when importing ( cause it has to rebuild the library for mac as you are on windows)

I tried on more recent version of Unity and it works, so I would suggest that you upgrade your project to the latest 2017 LTS, can you try that and check if the ecosystem works there? make sure you do that on a copy of your project.

Bye,

 Jean

Litow

  • Playmaker Newbie
  • *
  • Posts: 26
    • View Profile
Re: Error with latest Ecosystem 0.68 and fresh Unity project
« Reply #11 on: June 01, 2020, 02:26:59 PM »
Got it.. Will do, Sir... Ill post here as soon as I have a moment to run all updates and make sure all is still working.

I appreciated your time on this.